import { defineChain } from '../../utils/chain/defineChain.js';
import { formattersCelo } from '../celo/formatters.js';
import { serializersCelo } from '../celo/serializers.js';
export const celoAlfajores = /*#__PURE__*/ defineChain({
    id: 44787,
    name: 'Alfajores',
    nativeCurrency: {
        decimals: 18,
        name: 'CELO',
        symbol: 'A-CELO',
    },
    rpcUrls: {
        default: {
            http: ['https://alfajores-forno.celo-testnet.org'],
        },
    },
    blockExplorers: {
        default: {
            name: 'Celo Explorer',
            url: 'https://explorer.celo.org/alfajores',
        },
    },
    contracts: {
        multicall3: {
            address: '0xcA11bde05977b3631167028862bE2a173976CA11',
            blockCreated: 14569001,
        },
    },
    testnet: true,
    formatters: formattersCelo,
    serializers: serializersCelo,
});
//# sourceMappingURL=celoAlfajores.js.map